Loading...
Searching...
No Matches
smallest.h File Reference
`#include "platform.h"`
`#include "integral_limits.h"`
`#include <stdint.h>`
`#include "private/smallest_cpp03.h"`

Go to the source code of this file.

## Classes

struct | etl::smallest_type< T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16 >
struct | etl::smallest_type< T1, void, void, void, void, void, void, void, void, void, void, void, void, void, void, void >
struct | etl::private_smallest::best_fit_uint_type< 0 >
struct | etl::private_smallest::best_fit_uint_type< 1 >
struct | etl::private_smallest::best_fit_uint_type< 2 >
struct | etl::private_smallest::best_fit_uint_type< 3 >
struct | etl::private_smallest::best_fit_int_type< 0 >
struct | etl::private_smallest::best_fit_int_type< 1 >
struct | etl::private_smallest::best_fit_int_type< 2 >
struct | etl::private_smallest::best_fit_int_type< 3 >
struct | etl::smallest_uint_for_bits< NBITS >
struct | etl::smallest_int_for_bits< NBITS >
struct | etl::smallest_uint_for_value< VALUE >
struct | etl::smallest_int_for_value< VALUE >

## Namespaces

namespace | etl

## Variables

template<size_t NBITS>
ETL_CONSTANT int | etl::smallest_uint_for_bits< NBITS >::TYPE_INDEX
template<size_t NBITS>
ETL_CONSTANT int | etl::smallest_int_for_bits< NBITS >::TYPE_INDEX
template<uintmax_t VALUE>
ETL_CONSTANT int | etl::smallest_uint_for_value< VALUE >::TYPE_INDEX
template<intmax_t VALUE>
ETL_CONSTANT int | etl::smallest_int_for_value< VALUE >::TYPE_INDEX